明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1939|回复: 7

求助

[复制链接]
发表于 2002-10-23 09:16:00 | 显示全部楼层 |阅读模式
关于LWPOLYLINE所画的一个矩形,请问如何取得该矩形的4个端点,我现在只可以取得矩形的左上角点。谢谢。
发表于 2002-10-23 10:54:00 | 显示全部楼层

这样

(setq pdl nil)
(mapcar
  '(lambda(x)
     (if (= (car x) 10) (setq pdl (cons (cdr x) pdl)))
   )
  (entget (car (entsel)))
)

变量pdl的值就是。
发表于 2002-10-23 11:19:00 | 显示全部楼层

ll_j, help.

1.Do you know how to create a dimstyle in Autolisp/Visuallisp?
2.How can I get the coordinate relationship between paper space and model space in a specific viewport (while tilemode = 0)?
发表于 2002-10-23 16:30:00 | 显示全部楼层

试试

1.这个问题没有研究过,我见过用Entmake定义Style的程序,不知可否定义Dimstyle,你可以试试,不过变量太多。(附件供参考,注意:100组码一定要的)。
2.我的英文太糟,你的意思是否是坐标在模型空间与图纸空间的转换,如果是这个意思,可以用(trans pt 2 3)(或3 2)转换。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2002-10-23 17:05:00 | 显示全部楼层

create a dimstyle in Autolisp的簡單方法

;; 最簡單的方法
(command "_.style" "細明體" "細明體" "0" "1" "0" "n" "n")
(if (= (tblobjname "dimstyle" "細明體") NIL)
  ;;設定要改變的系統變數
  (command "dimtofl" 0 "dimtoh"        1 "DIMBLK1" "."        "DIMBLK2" "." "DIMTXSTY"
           "細明體" "DIMSTYLE" "S" "細明體"
          )
)
发表于 2002-10-24 12:36:00 | 显示全部楼层

Coordinate relationship between paper space and model space in a specific vie

Coordinate relationship between paper space and model space in a specific viewport[br];; How can I get the coordinate relationship
;; between paper space and model space in a
;; specific viewport (while tilemode = 0)?
;; 这是一个非常有用的例子,看出它们的关系了吗??
(defun C:TEST (/ A W WDXF EA EN XP W10 W40 W41 W69 VCTRX VCTRY LPT RPT)
  (setvar "tilemode" 0)
  (command "_.PSPACE")
  (while (not A)
    (setq A (ssget ":s" '((0 . "VIEWPORT"))))
  )
  (setq W (ssname A 0))
  (setq WDXF (entget W))
  (setq        EA (assoc -3 (entget W '("ACAD")))
        EN (reverse (cdr (reverse (cdr (cddadr EA)))))
  )
  (setq XP (/ (cdr (assoc 41 WDXF)) (cdr (nth 4 EN))))
  (setq W10 (cdr (assoc 10 WDXF)))
  (setq W40 (/ (cdr (assoc 40 WDXF)) XP))
  (setq W41 (/ (cdr (assoc 41 WDXF)) XP))
  (setq W69 (cdr (assoc 69 WDXF)))
  (command "_.MSPACE")
  (command "_.cvport" W69)
  (command "_.ucs" "v")
  (setq VCTRX (car (getvar "viewctr")))
  (setq VCTRY (cadr (getvar "viewctr")))
  (setq LPT (list (- VCTRX (/ W40 2.0)) (- VCTRY (/ W41 2.0))))
  (setq RPT (list (+ VCTRX (/ W40 2.0)) (+ VCTRY (/ W41 2.0))))
  (command "_.rectang" LPT RPT)
  (princ)
)
发表于 2002-10-24 13:28:00 | 显示全部楼层

Thanks a lot

发表于 2002-10-24 14:33:00 | 显示全部楼层

"SAVE" can create a new style. I've got it! Big thanks!

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 21:32 , Processed in 0.173167 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表